(function(lib, img, cjs, ss, an) {

    var p; // shortcut to reference prototypes
    lib.webFontTxtInst = {};
    var loadedTypekitCount = 0;
    var loadedGoogleCount = 0;
    var gFontsUpdateCacheList = [];
    var tFontsUpdateCacheList = [];
    lib.ssMetadata = [{
            name: "TransitionSkin_atlas_P_",
            frames: [
                [0, 462, 240, 115],
                [242, 462, 223, 77],
                [0, 0, 710, 460]
            ]
        },
        {
            name: "TransitionSkin_atlas_NP_",
            frames: [
                [0, 704, 360, 203],
                [0, 0, 350, 350],
                [352, 0, 350, 350],
                [0, 352, 350, 350],
                [352, 352, 350, 350]
            ]
        }
    ];



    lib.updateListCache = function(cacheList) {
        for (var i = 0; i < cacheList.length; i++) {
            if (cacheList[i].cacheCanvas)
                cacheList[i].updateCache();
        }
    };

    lib.addElementsToCache = function(textInst, cacheList) {
        var cur = textInst;
        while (cur != exportRoot) {
            if (cacheList.indexOf(cur) != -1)
                break;
            cur = cur.parent;
        }
        if (cur != exportRoot) {
            var cur2 = textInst;
            var index = cacheList.indexOf(cur);
            while (cur2 != cur) {
                cacheList.splice(index, 0, cur2);
                cur2 = cur2.parent;
                index++;
            }
        } else {
            cur = textInst;
            while (cur != exportRoot) {
                cacheList.push(cur);
                cur = cur.parent;
            }
        }
    };

    lib.gfontAvailable = function(family, totalGoogleCount) {
        lib.properties.webfonts[family] = true;
        var txtInst = lib.webFontTxtInst && lib.webFontTxtInst[family] || [];
        for (var f = 0; f < txtInst.length; ++f)
            lib.addElementsToCache(txtInst[f], gFontsUpdateCacheList);

        loadedGoogleCount++;
        if (loadedGoogleCount == totalGoogleCount) {
            lib.updateListCache(gFontsUpdateCacheList);
        }
    };

    lib.tfontAvailable = function(family, totalTypekitCount) {
        lib.properties.webfonts[family] = true;
        var txtInst = lib.webFontTxtInst && lib.webFontTxtInst[family] || [];
        for (var f = 0; f < txtInst.length; ++f)
            lib.addElementsToCache(txtInst[f], tFontsUpdateCacheList);

        loadedTypekitCount++;
        if (loadedTypekitCount == totalTypekitCount) {
            lib.updateListCache(tFontsUpdateCacheList);
        }
    };
    // symbols:



    (lib.transitionBackground_im = function() {
        this.spriteSheet = ss["TransitionSkin_atlas_NP_"];
        this.gotoAndStop(0);
    }).prototype = p = new cjs.Sprite();



    (lib.transitionCloudBack_im = function() {
        this.spriteSheet = ss["TransitionSkin_atlas_P_"];
        this.gotoAndStop(0);
    }).prototype = p = new cjs.Sprite();



    (lib.transitionCloudFront_im = function() {
        this.spriteSheet = ss["TransitionSkin_atlas_P_"];
        this.gotoAndStop(1);
    }).prototype = p = new cjs.Sprite();



    (lib.transitionPlaqueFull_im = function() {
        this.spriteSheet = ss["TransitionSkin_atlas_P_"];
        this.gotoAndStop(2);
    }).prototype = p = new cjs.Sprite();



    (lib.transitionSymbolS01FreeSpin_im = function() {
        this.spriteSheet = ss["TransitionSkin_atlas_NP_"];
        this.gotoAndStop(1);
    }).prototype = p = new cjs.Sprite();



    (lib.transitionSymbolS02FreeSpin_im = function() {
        this.spriteSheet = ss["TransitionSkin_atlas_NP_"];
        this.gotoAndStop(2);
    }).prototype = p = new cjs.Sprite();



    (lib.transitionSymbolS03FreeSpin_im = function() {
        this.spriteSheet = ss["TransitionSkin_atlas_NP_"];
        this.gotoAndStop(3);
    }).prototype = p = new cjs.Sprite();



    (lib.transitionSymbolS04FreeSpin_im = function() {
        this.spriteSheet = ss["TransitionSkin_atlas_NP_"];
        this.gotoAndStop(4);
    }).prototype = p = new cjs.Sprite();
    // helper functions:

    function mc_symbol_clone() {
        var clone = this._cloneProps(new this.constructor(this.mode, this.startPosition, this.loop));
        clone.gotoAndStop(this.currentFrame);
        clone.paused = this.paused;
        clone.framerate = this.framerate;
        return clone;
    }

    function getMCSymbolPrototype(symbol, nominalBounds, frameBounds) {
        var prototype = cjs.extend(symbol, cjs.MovieClip);
        prototype.clone = mc_symbol_clone;
        prototype.nominalBounds = nominalBounds;
        prototype.frameBounds = frameBounds;
        return prototype;
    }


    (lib.transitionSymbolS04FreeSpin = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // symbol
        this.instance = new lib.transitionSymbolS04FreeSpin_im();
        this.instance.parent = this;
        this.instance.setTransform(0, 0, 2, 2);

        this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

    }).prototype = getMCSymbolPrototype(lib.transitionSymbolS04FreeSpin, new cjs.Rectangle(0, 0, 700, 700), null);


    (lib.transitionSymbolS03FreeSpin = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // symbol
        this.instance = new lib.transitionSymbolS03FreeSpin_im();
        this.instance.parent = this;
        this.instance.setTransform(0, 0, 2, 2);

        this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

    }).prototype = getMCSymbolPrototype(lib.transitionSymbolS03FreeSpin, new cjs.Rectangle(0, 0, 700, 700), null);


    (lib.transitionSymbolS02FreeSpin = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // symbol
        this.instance = new lib.transitionSymbolS02FreeSpin_im();
        this.instance.parent = this;
        this.instance.setTransform(0, 0, 2, 2);

        this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

    }).prototype = getMCSymbolPrototype(lib.transitionSymbolS02FreeSpin, new cjs.Rectangle(0, 0, 700, 700), null);


    (lib.transitionSymbolS01FreeSpin = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // symbol
        this.instance = new lib.transitionSymbolS01FreeSpin_im();
        this.instance.parent = this;
        this.instance.setTransform(0, 0, 2, 2);

        this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

    }).prototype = getMCSymbolPrototype(lib.transitionSymbolS01FreeSpin, new cjs.Rectangle(0, 0, 700, 700), null);


    (lib.YouWonTextField = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // timeline functions:
        this.frame_0 = function() {
            this.label.params = {
                fontYOffset: -20,
                outline: {
                    size: 6,
                    yOffset: 0,
                    xOffset: 0,
                    color: "#B00096"
                }
            }
        }

        // actions tween:
        this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

        // label
        this.label = new cjs.Text("???\n???", "65px 'Trajan Pro Loc Currency'", "#FFCC00");
        this.label.name = "label";
        this.label.textAlign = "center";
        this.label.lineHeight = 69;
        this.label.lineWidth = 626;
        this.label.parent = this;
        this.label.setTransform(720, 355);
        this.label.shadow = new cjs.Shadow("rgba(0,0,0,1)", 1, 1, 6);

        this.timeline.addTween(cjs.Tween.get(this.label).wait(1));

    }).prototype = getMCSymbolPrototype(lib.YouWonTextField, new cjs.Rectangle(399, 347, 648, 170), null);


    (lib.SuperStackedText = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // timeline functions:
        this.frame_0 = function() {
            this.label.params = {
                fontYOffset: -10,
                outline: {
                    size: 6,
                    yOffset: 0,
                    xOffset: 0,
                    color: "#B00096"
                }
            }
        }

        // actions tween:
        this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

        // label
        this.label = new cjs.Text("???", "50px 'Trajan Pro Loc Currency'", "#FFCC00");
        this.label.name = "label";
        this.label.textAlign = "center";
        this.label.lineHeight = 63;
        this.label.lineWidth = 516;
        this.label.parent = this;
        this.label.setTransform(655, 508.1);
        this.label.shadow = new cjs.Shadow("rgba(0,0,0,1)", 1, 1, 6);

        this.timeline.addTween(cjs.Tween.get(this.label).wait(1));

    }).prototype = getMCSymbolPrototype(lib.SuperStackedText, new cjs.Rectangle(389, 500.1, 538, 82), null);


    (lib.FreeSpinsAwardedText = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // timeline functions:
        this.frame_0 = function() {
            this.label.params = {
                fontYOffset: -10,
                outline: {
                    size: 6,
                    yOffset: 0,
                    xOffset: 0,
                    color: "#B00096"
                }
            }
        }

        // actions tween:
        this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

        // label
        this.label = new cjs.Text("???", "50px 'Trajan Pro Loc Currency'", "#FFCC00");
        this.label.name = "label";
        this.label.textAlign = "center";
        this.label.lineHeight = 63;
        this.label.lineWidth = 446;
        this.label.parent = this;
        this.label.setTransform(805, 282);
        this.label.shadow = new cjs.Shadow("rgba(0,0,0,1)", 1, 1, 6);

        this.timeline.addTween(cjs.Tween.get(this.label).wait(1));

    }).prototype = getMCSymbolPrototype(lib.FreeSpinsAwardedText, new cjs.Rectangle(574, 274, 468, 82), null);


    (lib.FreeSpinsAwardedCount = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // timeline functions:
        this.frame_0 = function() {
            this.textField.params = {
                fontYOffset: -30,
                outline: {
                    size: 10,
                    yOffset: 0,
                    xOffset: 0,
                    color: "#B00096"
                }
            }
        }

        // actions tween:
        this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

        // text
        this.textField = new cjs.Text("n", "200px 'Trajan Pro Loc Currency'", "#FFCC00");
        this.textField.name = "textField";
        this.textField.textAlign = "center";
        this.textField.lineHeight = 245;
        this.textField.lineWidth = 167;
        this.textField.parent = this;
        this.textField.setTransform(495.3, 222);
        this.textField.shadow = new cjs.Shadow("rgba(0,0,0,1)", 1, 1, 6);

        this.timeline.addTween(cjs.Tween.get(this.textField).wait(1));

    }).prototype = getMCSymbolPrototype(lib.FreeSpinsAwardedCount, new cjs.Rectangle(404, 214, 188, 283), null);


    (lib.BonusWinAmountText = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // timeline functions:
        this.frame_0 = function() {
            this.textField.params = {
                fontYOffset: 0,
                outline: {
                    size: 6,
                    yOffset: 0,
                    xOffset: 0,
                    color: "#B00096"
                }
            }
        }

        // actions tween:
        this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

        // text
        this.textField = new cjs.Text("NNN", "bold 65px 'Futura Cdnsd BoldEuro LocCur'", "#FFCC00");
        this.textField.name = "textField";
        this.textField.textAlign = "center";
        this.textField.lineHeight = 85;
        this.textField.lineWidth = 626;
        this.textField.parent = this;
        this.textField.setTransform(720, 522);
        this.textField.shadow = new cjs.Shadow("rgba(0,0,0,1)", 1, 1, 6);

        this.timeline.addTween(cjs.Tween.get(this.textField).wait(1));

    }).prototype = getMCSymbolPrototype(lib.BonusWinAmountText, new cjs.Rectangle(399, 514, 648, 104), null);


    (lib.BonusCongratulations = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // timeline functions:
        this.frame_0 = function() {
            this.label.params = {
                fontYOffset: -10,
                outline: {
                    size: 6,
                    yOffset: 0,
                    xOffset: 0,
                    color: "#B00096"
                }
            }
        }

        // actions tween:
        this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

        // label
        this.label = new cjs.Text("???", "50px 'Trajan Pro Loc Currency'", "#E4B1DE");
        this.label.name = "label";
        this.label.textAlign = "center";
        this.label.lineHeight = 63;
        this.label.lineWidth = 626;
        this.label.parent = this;
        this.label.setTransform(720, 292);
        this.label.shadow = new cjs.Shadow("rgba(0,0,0,1)", 1, 1, 6);

        this.timeline.addTween(cjs.Tween.get(this.label).wait(1));

    }).prototype = getMCSymbolPrototype(lib.BonusCongratulations, new cjs.Rectangle(399, 284, 648, 82), null);


    (lib.AwardedText = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // timeline functions:
        this.frame_0 = function() {
            this.label.params = {
                fontYOffset: -10,
                outline: {
                    size: 6,
                    yOffset: 0,
                    xOffset: 0,
                    color: "#B00096"
                }
            }
        }

        // actions tween:
        this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

        // label
        this.label = new cjs.Text("???", "50px 'Trajan Pro Loc Currency'", "#FFCC00");
        this.label.name = "label";
        this.label.textAlign = "center";
        this.label.lineHeight = 63;
        this.label.lineWidth = 446;
        this.label.parent = this;
        this.label.setTransform(805, 372);
        this.label.shadow = new cjs.Shadow("rgba(0,0,0,1)", 1, 1, 6);

        this.timeline.addTween(cjs.Tween.get(this.label).wait(1));

    }).prototype = getMCSymbolPrototype(lib.AwardedText, new cjs.Rectangle(574, 364, 468, 82), null);


    (lib.transitionPlaque = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // image
        this.instance = new lib.transitionPlaqueFull_im();
        this.instance.parent = this;
        this.instance.setTransform(-355, -230);

        this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

    }).prototype = getMCSymbolPrototype(lib.transitionPlaque, new cjs.Rectangle(-355, -230, 710, 460), null);


    (lib.transitionCloudFront = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // image
        this.instance = new lib.transitionCloudFront_im();
        this.instance.parent = this;
        this.instance.setTransform(-446, -154, 4, 4);

        this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

    }).prototype = getMCSymbolPrototype(lib.transitionCloudFront, new cjs.Rectangle(-446, -154, 892, 308), null);


    (lib.transitionCloudBack = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // image
        this.instance = new lib.transitionCloudBack_im();
        this.instance.parent = this;
        this.instance.setTransform(-480, -270, 4, 4);

        this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

    }).prototype = getMCSymbolPrototype(lib.transitionCloudBack, new cjs.Rectangle(-480, -270, 960, 460), null);


    (lib.transitionBackground = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // image
        this.instance = new lib.transitionBackground_im();
        this.instance.parent = this;
        this.instance.setTransform(0, 0, 4, 4);

        this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

    }).prototype = getMCSymbolPrototype(lib.transitionBackground, new cjs.Rectangle(0, 0, 1440, 812), null);


    (lib.transitionS04 = function(mode, startPosition, loop) {
        if (loop == null) {
            loop = false;
        }
        this.initialize(mode, startPosition, loop, {
            startFadeOut: 29,
            endFadeOut: 49,
            end: 50,
            startLoop: 21,
            endLoop: 24,
            startFadeIn: 0,
            endFadeIn: 19
        });

        // mask (mask)
        var mask = new cjs.Shape();
        mask._off = true;
        var mask_graphics_0 = new cjs.Graphics().p("EhwfA/SMAAAh+jMDg/AAAMAAAB+jg");

        this.timeline.addTween(cjs.Tween.get(mask).to({
            graphics: mask_graphics_0,
            x: 720,
            y: 405
        }).wait(49).to({
            graphics: null,
            x: 0,
            y: 0
        }).wait(2));

        // symbol
        this.instance = new lib.transitionSymbolS04FreeSpin();
        this.instance.parent = this;
        this.instance.setTransform(720.1, 426, 0.257, 0.257, 0, 0, 0, 350.2, 350);

        var maskedShapeInstanceList = [this.instance];

        for (var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
            maskedShapeInstanceList[shapedInstanceItr].mask = mask;
        }

        this.timeline.addTween(cjs.Tween.get(this.instance).to({
            regX: 350.3,
            regY: 350.1,
            scaleX: 0.9,
            scaleY: 0.9
        }, 7).wait(4).to({
            regX: 353.1,
            regY: 353.4,
            scaleX: 0.15,
            scaleY: 0.15,
            x: 963,
            y: 543
        }, 8).wait(10).to({
            alpha: 0.051
        }, 19).to({
            _off: true
        }, 1).wait(2));

        // cloud front
        this.instance_1 = new lib.transitionCloudFront();
        this.instance_1.parent = this;
        this.instance_1.setTransform(516, 739.2, 2.5, 2.5);
        this.instance_1.alpha = 0;

        var maskedShapeInstanceList = [this.instance_1];

        for (var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
            maskedShapeInstanceList[shapedInstanceItr].mask = mask;
        }

        this.timeline.addTween(cjs.Tween.get(this.instance_1).to({
            scaleX: 2.96,
            scaleY: 2.96,
            x: 438.9,
            y: 822.3,
            alpha: 0.93
        }, 19).wait(10).to({
            scaleX: 3.5,
            scaleY: 3.5,
            x: 348.2,
            y: 919.8,
            alpha: 0
        }, 19).to({
            _off: true
        }, 1).wait(2));

        // plaque
        this.instance_2 = new lib.transitionPlaque();
        this.instance_2.parent = this;
        this.instance_2.setTransform(720, 440);
        this.instance_2.alpha = 0.051;
        this.instance_2._off = true;

        var maskedShapeInstanceList = [this.instance_2];

        for (var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
            maskedShapeInstanceList[shapedInstanceItr].mask = mask;
        }

        this.timeline.addTween(cjs.Tween.get(this.instance_2).wait(11).to({
            _off: false
        }, 0).to({
            alpha: 1
        }, 8).wait(10).to({
            alpha: 0.051
        }, 19).to({
            _off: true
        }, 1).wait(2));

        // cloud back
        this.instance_3 = new lib.transitionCloudBack();
        this.instance_3.parent = this;
        this.instance_3.setTransform(720, 432.2, 1.6, 1.6, 0, 0, 0, 0.1, 0.2);
        this.instance_3.alpha = 0;

        var maskedShapeInstanceList = [this.instance_3];

        for (var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
            maskedShapeInstanceList[shapedInstanceItr].mask = mask;
        }

        this.timeline.addTween(cjs.Tween.get(this.instance_3).to({
            regY: 0.1,
            scaleX: 2.05,
            scaleY: 2.05,
            x: 720.1,
            y: 513.1,
            alpha: 0.922
        }, 19).wait(10).to({
            scaleX: 2.07,
            scaleY: 2.07,
            alpha: 0.91
        }, 0).to({
            scaleX: 2.25,
            scaleY: 2.25,
            alpha: 0
        }, 19).to({
            _off: true
        }, 1).wait(2));

        // background
        this.instance_4 = new lib.transitionBackground();
        this.instance_4.parent = this;
        this.instance_4.setTransform(720, 406.1, 1, 1, 0, 0, 0, 720, 405);
        this.instance_4.alpha = 0;

        var maskedShapeInstanceList = [this.instance_4];

        for (var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
            maskedShapeInstanceList[shapedInstanceItr].mask = mask;
        }

        this.timeline.addTween(cjs.Tween.get(this.instance_4).to({
            alpha: 1
        }, 19).wait(10).to({
            alpha: 0
        }, 19).to({
            _off: true
        }, 1).wait(2));

    }).prototype = p = new cjs.MovieClip();
    p.nominalBounds = new cjs.Rectangle(0, 0, 1440, 809.9);


    (lib.transitionS03 = function(mode, startPosition, loop) {
        if (loop == null) {
            loop = false;
        }
        this.initialize(mode, startPosition, loop, {
            "startFadeOut": 29,
            "endFadeOut": 49,
            "end": 50,
            "startLoop": 21,
            "endLoop": 24,
            "startFadeIn": 0,
            "endFadeIn": 19
        });

        // mask (mask)
        var mask = new cjs.Shape();
        mask._off = true;
        var mask_graphics_0 = new cjs.Graphics().p("EhwfA/SMAAAh+jMDg/AAAMAAAB+jg");

        this.timeline.addTween(cjs.Tween.get(mask).to({
            graphics: mask_graphics_0,
            x: 720,
            y: 405
        }).wait(49).to({
            graphics: null,
            x: 0,
            y: 0
        }).wait(2));

        // symbol
        this.instance = new lib.transitionSymbolS03FreeSpin();
        this.instance.parent = this;
        this.instance.setTransform(720.1, 426, 0.257, 0.257, 0, 0, 0, 350.2, 350);

        var maskedShapeInstanceList = [this.instance];

        for (var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
            maskedShapeInstanceList[shapedInstanceItr].mask = mask;
        }

        this.timeline.addTween(cjs.Tween.get(this.instance).to({
            regX: 350.3,
            regY: 350.1,
            scaleX: 0.9,
            scaleY: 0.9
        }, 7).wait(4).to({
            regX: 353.1,
            regY: 353.4,
            scaleX: 0.15,
            scaleY: 0.15,
            x: 963,
            y: 543
        }, 8).wait(10).to({
            alpha: 0.051
        }, 19).to({
            _off: true
        }, 1).wait(2));

        // cloud front
        this.instance_1 = new lib.transitionCloudFront();
        this.instance_1.parent = this;
        this.instance_1.setTransform(516, 739.2, 2.5, 2.5);
        this.instance_1.alpha = 0;

        var maskedShapeInstanceList = [this.instance_1];

        for (var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
            maskedShapeInstanceList[shapedInstanceItr].mask = mask;
        }

        this.timeline.addTween(cjs.Tween.get(this.instance_1).to({
            scaleX: 2.96,
            scaleY: 2.96,
            x: 438.9,
            y: 822.3,
            alpha: 0.93
        }, 19).wait(10).to({
            scaleX: 3.5,
            scaleY: 3.5,
            x: 348.2,
            y: 919.8,
            alpha: 0
        }, 19).to({
            _off: true
        }, 1).wait(2));

        // plaque
        this.instance_2 = new lib.transitionPlaque();
        this.instance_2.parent = this;
        this.instance_2.setTransform(720, 440);
        this.instance_2.alpha = 0.051;
        this.instance_2._off = true;

        var maskedShapeInstanceList = [this.instance_2];

        for (var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
            maskedShapeInstanceList[shapedInstanceItr].mask = mask;
        }

        this.timeline.addTween(cjs.Tween.get(this.instance_2).wait(11).to({
            _off: false
        }, 0).to({
            alpha: 1
        }, 8).wait(10).to({
            alpha: 0.051
        }, 19).to({
            _off: true
        }, 1).wait(2));

        // cloud back
        this.instance_3 = new lib.transitionCloudBack();
        this.instance_3.parent = this;
        this.instance_3.setTransform(720, 432.2, 1.6, 1.6, 0, 0, 0, 0.1, 0.2);
        this.instance_3.alpha = 0;

        var maskedShapeInstanceList = [this.instance_3];

        for (var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
            maskedShapeInstanceList[shapedInstanceItr].mask = mask;
        }

        this.timeline.addTween(cjs.Tween.get(this.instance_3).to({
            regY: 0.1,
            scaleX: 2.05,
            scaleY: 2.05,
            x: 720.1,
            y: 513.1,
            alpha: 0.922
        }, 19).wait(10).to({
            scaleX: 2.07,
            scaleY: 2.07,
            alpha: 0.91
        }, 0).to({
            scaleX: 2.25,
            scaleY: 2.25,
            alpha: 0
        }, 19).to({
            _off: true
        }, 1).wait(2));

        // background
        this.instance_4 = new lib.transitionBackground();
        this.instance_4.parent = this;
        this.instance_4.setTransform(720, 406.1, 1, 1, 0, 0, 0, 720, 405);
        this.instance_4.alpha = 0;

        var maskedShapeInstanceList = [this.instance_4];

        for (var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
            maskedShapeInstanceList[shapedInstanceItr].mask = mask;
        }

        this.timeline.addTween(cjs.Tween.get(this.instance_4).to({
            alpha: 1
        }, 19).wait(10).to({
            alpha: 0
        }, 19).to({
            _off: true
        }, 1).wait(2));

    }).prototype = p = new cjs.MovieClip();
    p.nominalBounds = new cjs.Rectangle(0, 0, 1440, 809.9);


    (lib.transitionS02 = function(mode, startPosition, loop) {
        if (loop == null) {
            loop = false;
        }
        this.initialize(mode, startPosition, loop, {
            "startFadeOut": 29,
            "endFadeOut": 49,
            "end": 50,
            "startLoop": 21,
            "endLoop": 24,
            "startFadeIn": 0,
            "endFadeIn": 19
        });

        // mask (mask)
        var mask = new cjs.Shape();
        mask._off = true;
        var mask_graphics_0 = new cjs.Graphics().p("EhwfA/SMAAAh+jMDg/AAAMAAAB+jg");

        this.timeline.addTween(cjs.Tween.get(mask).to({
            graphics: mask_graphics_0,
            x: 720,
            y: 405
        }).wait(49).to({
            graphics: null,
            x: 0,
            y: 0
        }).wait(2));

        // symbol
        this.instance = new lib.transitionSymbolS02FreeSpin();
        this.instance.parent = this;
        this.instance.setTransform(720.1, 426, 0.257, 0.257, 0, 0, 0, 350.2, 350);

        var maskedShapeInstanceList = [this.instance];

        for (var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
            maskedShapeInstanceList[shapedInstanceItr].mask = mask;
        }

        this.timeline.addTween(cjs.Tween.get(this.instance).to({
            regX: 350.3,
            regY: 350.1,
            scaleX: 0.9,
            scaleY: 0.9
        }, 7).wait(4).to({
            regX: 353.4,
            regY: 353.4,
            scaleX: 0.15,
            scaleY: 0.15,
            x: 963,
            y: 543
        }, 8).wait(10).to({
            regX: 353.1,
            alpha: 0.051
        }, 19).to({
            _off: true
        }, 1).wait(2));

        // cloud front
        this.instance_1 = new lib.transitionCloudFront();
        this.instance_1.parent = this;
        this.instance_1.setTransform(516, 739.2, 2.5, 2.5);
        this.instance_1.alpha = 0;

        var maskedShapeInstanceList = [this.instance_1];

        for (var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
            maskedShapeInstanceList[shapedInstanceItr].mask = mask;
        }

        this.timeline.addTween(cjs.Tween.get(this.instance_1).to({
            scaleX: 2.96,
            scaleY: 2.96,
            x: 438.9,
            y: 822.3,
            alpha: 0.93
        }, 19).wait(10).to({
            scaleX: 3.5,
            scaleY: 3.5,
            x: 348.2,
            y: 919.8,
            alpha: 0
        }, 19).to({
            _off: true
        }, 1).wait(2));

        // plaque
        this.instance_2 = new lib.transitionPlaque();
        this.instance_2.parent = this;
        this.instance_2.setTransform(720, 440);
        this.instance_2.alpha = 0.051;
        this.instance_2._off = true;

        var maskedShapeInstanceList = [this.instance_2];

        for (var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
            maskedShapeInstanceList[shapedInstanceItr].mask = mask;
        }

        this.timeline.addTween(cjs.Tween.get(this.instance_2).wait(11).to({
            _off: false
        }, 0).to({
            alpha: 1
        }, 8).wait(10).to({
            alpha: 0.051
        }, 19).to({
            _off: true
        }, 1).wait(2));

        // cloud back
        this.instance_3 = new lib.transitionCloudBack();
        this.instance_3.parent = this;
        this.instance_3.setTransform(720, 432.2, 1.6, 1.6, 0, 0, 0, 0.1, 0.2);
        this.instance_3.alpha = 0;

        var maskedShapeInstanceList = [this.instance_3];

        for (var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
            maskedShapeInstanceList[shapedInstanceItr].mask = mask;
        }

        this.timeline.addTween(cjs.Tween.get(this.instance_3).to({
            regY: 0.1,
            scaleX: 2.05,
            scaleY: 2.05,
            x: 720.1,
            y: 513.1,
            alpha: 0.922
        }, 19).wait(10).to({
            scaleX: 2.07,
            scaleY: 2.07,
            alpha: 0.91
        }, 0).to({
            scaleX: 2.25,
            scaleY: 2.25,
            alpha: 0
        }, 19).to({
            _off: true
        }, 1).wait(2));

        // background
        this.instance_4 = new lib.transitionBackground();
        this.instance_4.parent = this;
        this.instance_4.setTransform(720, 406.1, 1, 1, 0, 0, 0, 720, 405);
        this.instance_4.alpha = 0;

        var maskedShapeInstanceList = [this.instance_4];

        for (var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
            maskedShapeInstanceList[shapedInstanceItr].mask = mask;
        }

        this.timeline.addTween(cjs.Tween.get(this.instance_4).to({
            alpha: 1
        }, 19).wait(10).to({
            alpha: 0
        }, 19).to({
            _off: true
        }, 1).wait(2));

    }).prototype = p = new cjs.MovieClip();
    p.nominalBounds = new cjs.Rectangle(0, 0, 1440, 809.9);


    (lib.transitionS01 = function(mode, startPosition, loop) {
        if (loop == null) {
            loop = false;
        }
        this.initialize(mode, startPosition, loop, {
            "startFadeOut": 29,
            "endFadeOut": 49,
            "end": 50,
            "startLoop": 21,
            "endLoop": 24,
            "startFadeIn": 0,
            "endFadeIn": 19
        });

        // mask (mask)
        var mask = new cjs.Shape();
        mask._off = true;
        var mask_graphics_0 = new cjs.Graphics().p("EhwfA/SMAAAh+jMDg/AAAMAAAB+jg");

        this.timeline.addTween(cjs.Tween.get(mask).to({
            graphics: mask_graphics_0,
            x: 720,
            y: 405
        }).wait(49).to({
            graphics: null,
            x: 0,
            y: 0
        }).wait(2));

        // symbol
        this.instance = new lib.transitionSymbolS01FreeSpin();
        this.instance.parent = this;
        this.instance.setTransform(720.1, 426, 0.257, 0.257, 0, 0, 0, 350.2, 350);

        var maskedShapeInstanceList = [this.instance];

        for (var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
            maskedShapeInstanceList[shapedInstanceItr].mask = mask;
        }

        this.timeline.addTween(cjs.Tween.get(this.instance).to({
            regX: 350.3,
            regY: 350.1,
            scaleX: 0.9,
            scaleY: 0.9
        }, 7).wait(4).to({
            regX: 353.4,
            regY: 353.4,
            scaleX: 0.15,
            scaleY: 0.15,
            x: 963,
            y: 543
        }, 8).wait(10).to({
            alpha: 0.051
        }, 19).to({
            _off: true
        }, 1).wait(2));

        // cloud front
        this.instance_1 = new lib.transitionCloudFront();
        this.instance_1.parent = this;
        this.instance_1.setTransform(516, 739.2, 2.5, 2.5);
        this.instance_1.alpha = 0;

        var maskedShapeInstanceList = [this.instance_1];

        for (var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
            maskedShapeInstanceList[shapedInstanceItr].mask = mask;
        }

        this.timeline.addTween(cjs.Tween.get(this.instance_1).to({
            scaleX: 2.96,
            scaleY: 2.96,
            x: 438.9,
            y: 822.3,
            alpha: 0.93
        }, 19).wait(10).to({
            scaleX: 3.5,
            scaleY: 3.5,
            x: 348.2,
            y: 919.8,
            alpha: 0
        }, 19).to({
            _off: true
        }, 1).wait(2));

        // plaque
        this.instance_2 = new lib.transitionPlaque();
        this.instance_2.parent = this;
        this.instance_2.setTransform(720, 440);
        this.instance_2.alpha = 0.051;
        this.instance_2._off = true;

        var maskedShapeInstanceList = [this.instance_2];

        for (var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
            maskedShapeInstanceList[shapedInstanceItr].mask = mask;
        }

        this.timeline.addTween(cjs.Tween.get(this.instance_2).wait(11).to({
            _off: false
        }, 0).to({
            alpha: 1
        }, 8).wait(10).to({
            alpha: 0.051
        }, 19).to({
            _off: true
        }, 1).wait(2));

        // cloud back
        this.instance_3 = new lib.transitionCloudBack();
        this.instance_3.parent = this;
        this.instance_3.setTransform(720, 432.2, 1.6, 1.6, 0, 0, 0, 0.1, 0.2);
        this.instance_3.alpha = 0;

        var maskedShapeInstanceList = [this.instance_3];

        for (var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
            maskedShapeInstanceList[shapedInstanceItr].mask = mask;
        }

        this.timeline.addTween(cjs.Tween.get(this.instance_3).to({
            regY: 0.1,
            scaleX: 2.05,
            scaleY: 2.05,
            x: 720.1,
            y: 513.1,
            alpha: 0.922
        }, 19).wait(10).to({
            scaleX: 2.07,
            scaleY: 2.07,
            alpha: 0.91
        }, 0).to({
            scaleX: 2.25,
            scaleY: 2.25,
            alpha: 0
        }, 19).to({
            _off: true
        }, 1).wait(2));

        // background
        this.instance_4 = new lib.transitionBackground();
        this.instance_4.parent = this;
        this.instance_4.setTransform(720, 406.1, 1, 1, 0, 0, 0, 720, 405);
        this.instance_4.alpha = 0;

        var maskedShapeInstanceList = [this.instance_4];

        for (var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
            maskedShapeInstanceList[shapedInstanceItr].mask = mask;
        }

        this.timeline.addTween(cjs.Tween.get(this.instance_4).to({
            alpha: 1
        }, 19).wait(10).to({
            alpha: 0
        }, 19).to({
            _off: true
        }, 1).wait(2));

    }).prototype = p = new cjs.MovieClip();
    p.nominalBounds = new cjs.Rectangle(0, 0, 1440, 809.9);


    (lib.FreeSpinsLabels = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // freeSpinsAwardedTextField
        this.freeSpinsAwardedTextField = new lib.FreeSpinsAwardedCount();
        this.freeSpinsAwardedTextField.parent = this;
        this.freeSpinsAwardedTextField.setTransform(325, 42.5, 1, 1, 0, 0, 0, 325, 42.5);

        this.timeline.addTween(cjs.Tween.get(this.freeSpinsAwardedTextField).wait(1));

        // freeGamesTextField
        this.freeGamesTextField = new lib.FreeSpinsAwardedText();
        this.freeGamesTextField.parent = this;
        this.freeGamesTextField.setTransform(325, 51, 1, 1, 0, 0, 0, 325, 51);

        this.timeline.addTween(cjs.Tween.get(this.freeGamesTextField).wait(1));

        // awardedTextField
        this.awardedTextField = new lib.AwardedText();
        this.awardedTextField.parent = this;
        this.awardedTextField.setTransform(325, 51, 1, 1, 0, 0, 0, 325, 51);

        this.timeline.addTween(cjs.Tween.get(this.awardedTextField).wait(1));

        // superStackedTextField
        this.superStackedTextField = new lib.SuperStackedText();
        this.superStackedTextField.parent = this;
        this.superStackedTextField.setTransform(325, 51, 1, 1, 0, 0, 0, 325, 51);

        this.timeline.addTween(cjs.Tween.get(this.superStackedTextField).wait(1));

    }).prototype = getMCSymbolPrototype(lib.FreeSpinsLabels, new cjs.Rectangle(365, 210, 710, 460), null);


    (lib.BonusCompleteTransitionMC = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {
            "startFadeOut": 29,
            "endFadeOut": 49,
            "end": 50,
            "startLoop": 21,
            "endLoop": 24,
            "startFadeIn": 0,
            "endFadeIn": 19
        });

        // mask (mask)
        var mask = new cjs.Shape();
        mask._off = true;
        mask.graphics.p("EhwfA/SMAAAh+jMDg/AAAMAAAB+jg");
        mask.setTransform(720, 405);

        // cloud front
        this.instance = new lib.transitionCloudFront();
        this.instance.parent = this;
        this.instance.setTransform(516, 739.2, 2.5, 2.5);
        this.instance.alpha = 0;

        var maskedShapeInstanceList = [this.instance];

        for (var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
            maskedShapeInstanceList[shapedInstanceItr].mask = mask;
        }

        this.timeline.addTween(cjs.Tween.get(this.instance).to({
            scaleX: 2.96,
            scaleY: 2.96,
            x: 438.9,
            y: 822.3,
            alpha: 0.93
        }, 19).wait(10).to({
            scaleX: 3.5,
            scaleY: 3.5,
            x: 348.2,
            y: 919.8,
            alpha: 0
        }, 19).to({
            _off: true
        }, 1).wait(2));

        // plaque
        this.instance_1 = new lib.transitionPlaque();
        this.instance_1.parent = this;
        this.instance_1.setTransform(720, 440);
        this.instance_1.alpha = 0.051;
        this.instance_1._off = true;

        var maskedShapeInstanceList = [this.instance_1];

        for (var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
            maskedShapeInstanceList[shapedInstanceItr].mask = mask;
        }

        this.timeline.addTween(cjs.Tween.get(this.instance_1).wait(11).to({
            _off: false
        }, 0).to({
            alpha: 1
        }, 8).wait(10).to({
            alpha: 0.051
        }, 19).to({
            _off: true
        }, 1).wait(2));

        // cloud back
        this.instance_2 = new lib.transitionCloudBack();
        this.instance_2.parent = this;
        this.instance_2.setTransform(720, 432.2, 1.6, 1.6, 0, 0, 0, 0.1, 0.2);
        this.instance_2.alpha = 0;

        var maskedShapeInstanceList = [this.instance_2];

        for (var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
            maskedShapeInstanceList[shapedInstanceItr].mask = mask;
        }

        this.timeline.addTween(cjs.Tween.get(this.instance_2).to({
            regY: 0.1,
            scaleX: 2.05,
            scaleY: 2.05,
            x: 720.1,
            y: 513.1,
            alpha: 0.922
        }, 19).wait(10).to({
            scaleX: 2.07,
            scaleY: 2.07,
            alpha: 0.91
        }, 0).to({
            scaleX: 2.25,
            scaleY: 2.25,
            alpha: 0
        }, 19).to({
            _off: true
        }, 1).wait(2));

        // background
        this.instance_3 = new lib.transitionBackground();
        this.instance_3.parent = this;
        this.instance_3.setTransform(720, 406.1, 1, 1, 0, 0, 0, 720, 405);
        this.instance_3.alpha = 0;

        var maskedShapeInstanceList = [this.instance_3];

        for (var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
            maskedShapeInstanceList[shapedInstanceItr].mask = mask;
        }

        this.timeline.addTween(cjs.Tween.get(this.instance_3).to({
            alpha: 1
        }, 19).wait(10).to({
            alpha: 0
        }, 19).to({
            _off: true
        }, 1).wait(2));

    }).prototype = p = new cjs.MovieClip();
    p.nominalBounds = new cjs.Rectangle(0, 0, 1440, 810);


    (lib.BonusCompleteLabelContainer = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // text
        this.bonusYouWonTextfield = new lib.YouWonTextField();
        this.bonusYouWonTextfield.parent = this;
        this.bonusYouWonTextfield.setTransform(325, 51, 1, 1, 0, 0, 0, 325, 51);

        this.bonusCongratulationsTextField = new lib.BonusCongratulations();
        this.bonusCongratulationsTextField.parent = this;
        this.bonusCongratulationsTextField.setTransform(325, 51, 1, 1, 0, 0, 0, 325, 51);

        this.bonusWinTextField = new lib.BonusWinAmountText();
        this.bonusWinTextField.parent = this;
        this.bonusWinTextField.setTransform(325, 63.5, 1, 1, 0, 0, 0, 325, 63.5);

        this.timeline.addTween(cjs.Tween.get({}).to({
            state: [{
                t: this.bonusWinTextField
            }, {
                t: this.bonusCongratulationsTextField
            }, {
                t: this.bonusYouWonTextfield
            }]
        }).wait(1));

    }).prototype = getMCSymbolPrototype(lib.BonusCompleteLabelContainer, new cjs.Rectangle(365, 210, 710, 460), null);


    // stage content:
    (lib.TransitionSkin = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // free spins label container
        this.freeSpinsLabelContainer = new lib.FreeSpinsLabels();
        this.freeSpinsLabelContainer.parent = this;
        this.freeSpinsLabelContainer.setTransform(465.4, 126, 1, 1, 0, 0, 0, 465.4, 126);

        this.timeline.addTween(cjs.Tween.get(this.freeSpinsLabelContainer).wait(1));

        // bonus complete
        this.bonusCompleteLabelContainer = new lib.BonusCompleteLabelContainer();
        this.bonusCompleteLabelContainer.parent = this;
        this.bonusCompleteLabelContainer.setTransform(452.9, 81, 1, 1, 0, 0, 0, 452.9, 81);

        this.timeline.addTween(cjs.Tween.get(this.bonusCompleteLabelContainer).wait(1));

        // bonus complete transition
        this.bonusCompleteTransition = new lib.BonusCompleteTransitionMC();
        this.bonusCompleteTransition.parent = this;
        this.bonusCompleteTransition.setTransform(720, 405.1, 1, 1, 0, 0, 0, 720, 405);

        this.timeline.addTween(cjs.Tween.get(this.bonusCompleteTransition).wait(1));

        // transition S01
        this.transitionS01 = new lib.transitionS01();
        this.transitionS01.parent = this;
        this.transitionS01.setTransform(721.5, 405, 1, 1, 0, 0, 0, 721.5, 405);

        this.timeline.addTween(cjs.Tween.get(this.transitionS01).wait(1));

        // transition S02
        this.transitionS02 = new lib.transitionS02();
        this.transitionS02.parent = this;
        this.transitionS02.setTransform(721.5, 405, 1, 1, 0, 0, 0, 721.5, 405);

        this.timeline.addTween(cjs.Tween.get(this.transitionS02).wait(1));

        // transition S03
        this.transitionS03 = new lib.transitionS03();
        this.transitionS03.parent = this;
        this.transitionS03.setTransform(721.5, 405, 1, 1, 0, 0, 0, 721.5, 405);

        this.timeline.addTween(cjs.Tween.get(this.transitionS03).wait(1));

        // transition S04
        this.transitionS04 = new lib.transitionS04();
        this.transitionS04.parent = this;
        this.transitionS04.setTransform(721.5, 405, 1, 1, 0, 0, 0, 721.5, 405);

        this.timeline.addTween(cjs.Tween.get(this.transitionS04).wait(1));

    }).prototype = p = new cjs.MovieClip();
    p.nominalBounds = new cjs.Rectangle(121, 405, 2229.9, 1124.3);
    // library properties:
    lib.properties = {
        width: 1440,
        height: 810,
        fps: 24,
        color: "#666666",
        opacity: 1.00,
        webfonts: {},
        manifest: [{
                src: "images/TransitionSkin_atlas_P_.png",
                id: "TransitionSkin_atlas_P_"
            },
            {
                src: "images/TransitionSkin_atlas_NP_.jpg",
                id: "TransitionSkin_atlas_NP_"
            }
        ],
        preloads: []
    };




})(TransitionSkin = TransitionSkin || {}, images = images || {}, createjs = createjs || {}, ss = ss || {}, AdobeAn = AdobeAn || {});
var TransitionSkin, images, createjs, ss, AdobeAn;